cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/lines/line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_line(
"PURCHASE_ORDER_ID", "line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderLineRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderLineRead> response = client.purchaseOrders().getPurchaseOrderLine(
"PURCHASE_ORDER_ID",
"line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderLineAsync(
"PURCHASE_ORDER_ID",
"line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderLine(context.Background(), "PURCHASE_ORDER_ID", "line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order_line": {
"created_on": "<string>",
"flat_discount": 123,
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"is_tax_exempt": true,
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"item_accounting_code": {
"cost_of_goods_sold": "<string>"
},
"item_discount_amount": 123,
"item_expected_completion_date": "<string>",
"item_invoice_note": "<unknown>",
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_type": "<string>",
"pricing_version": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_price_tax_exempt": true,
"item_purchase_accounting_code": {
"cost_of_goods_sold": "<string>"
},
"item_purchase_tax_configuration": {
"purchase_price_is_tax_inclusive": true,
"tax_code": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": "<string>"
},
"tax_exempt_when_purchase": true
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"price": 123,
"purchase_line_note": "<unknown>",
"quantity": 123,
"sort_index": 123,
"status": "<string>",
"subtotal": "<string>",
"tax": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"tax_total": "<string>",
"total": "<string>",
"uom": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"version": 123,
"warehouse": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Purchase orders
Retrieve a purchase order line
Returns one line of a purchase order under purchase_order_line.
GET
/
purchase_orders
/
{purchase_order_id}
/
lines
/
{purchase_order_line_uuid}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/lines/line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_line(
"PURCHASE_ORDER_ID", "line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderLineRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderLineRead> response = client.purchaseOrders().getPurchaseOrderLine(
"PURCHASE_ORDER_ID",
"line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderLineAsync(
"PURCHASE_ORDER_ID",
"line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderLine(
'PURCHASE_ORDER_ID',
'line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderLine(context.Background(), "PURCHASE_ORDER_ID", "line_3f2a9c1e7b4d4e8a9c0b1d2e3f4a5b6c", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order_line": {
"created_on": "<string>",
"flat_discount": 123,
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"is_tax_exempt": true,
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"item_accounting_code": {
"cost_of_goods_sold": "<string>"
},
"item_discount_amount": 123,
"item_expected_completion_date": "<string>",
"item_invoice_note": "<unknown>",
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_type": "<string>",
"pricing_version": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_price_tax_exempt": true,
"item_purchase_accounting_code": {
"cost_of_goods_sold": "<string>"
},
"item_purchase_tax_configuration": {
"purchase_price_is_tax_inclusive": true,
"tax_code": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": "<string>"
},
"tax_exempt_when_purchase": true
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"price": 123,
"purchase_line_note": "<unknown>",
"quantity": 123,
"sort_index": 123,
"status": "<string>",
"subtotal": "<string>",
"tax": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"tax_total": "<string>",
"total": "<string>",
"uom": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"version": 123,
"warehouse": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Returns a single line of the purchase order, with its item, quantity, price and tax, under
purchase_order_line.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase order's id.
The line's id, from the lines list.
Response
200 - application/json
The line, under purchase_order_line.
Show child attributes
Show child attributes